> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search tags



## OpenAPI

````yaml get /v0/tags
openapi: 3.0.1
info:
  title: Tags API
  description: Tags OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-expense-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 31.38.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
paths:
  /v0/tags:
    get:
      tags:
        - tags
      summary: Search tags
      operationId: searchTags
      parameters:
        - name: company_id
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
        - name: text_search
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Lower bound of the page of data to return (cannot be used together
            with [after] or [offset])
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Upper bound of the page of data to return (cannot be used together
            with [before] or [offset])
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            Offset of the page of data to return (cannot be used together with
            [before] or [after])
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          description: The maximum amount of items to return
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: sorting_keys
          in: query
          description: The keys to sort the results by
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sorting_order
          in: query
          description: >-
            The order to sort the results by. Must be the same length as
            [sortingKeys]; one order per key
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PageOrder'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/CursorPaginatedResponseTagModel'
components:
  schemas:
    PageOrder:
      type: string
      enum:
        - ASC
        - ASC_NULLS_FIRST
        - ASC_NULLS_LAST
        - DESC
        - DESC_NULLS_FIRST
        - DESC_NULLS_LAST
    CursorPaginatedResponseTagModel:
      required:
        - data
        - pagination
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TagModel'
        pagination:
          $ref: '#/components/schemas/CursorPageInfo'
    TagModel:
      required:
        - archived
        - code
        - createdAt
        - groupId
        - id
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: This tag is not used anymore
          example: false
        code:
          type: string
          description: External identifier of the Tag
          example: '12345'
        createdAt:
          type: string
          description: Creation date and time
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
        groupId:
          type: string
          description: Unique identifier of the Tag Group this tag belongs to
          format: uuid
        id:
          type: string
          description: Unique identifier of Tag
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        name:
          type: string
          description: >-
            User readable name that is used for the possible value within a tag
            group on an expense
          example: Lunch allowance
        updatedAt:
          type: string
          description: Date and time of the last update
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
    CursorPageInfo:
      required:
        - currentRequestPagination
        - hasNextPage
        - hasPreviousPage
      type: object
      properties:
        currentRequestPagination:
          $ref: '#/components/schemas/CursorPageCurrentRequestInfo'
        endCursor:
          type: string
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        total:
          type: integer
          format: int64
    CursorPageCurrentRequestInfo:
      required:
        - parameters
      type: object
      properties:
        after:
          type: string
        before:
          type: string
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        sortingKeys:
          type: array
          items:
            type: string
        sortingOrder:
          type: array
          items:
            $ref: '#/components/schemas/PageOrder'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.